Skip to navigation

GetSecretValue

View as Markdown

Gets the value of a specific secret.

Example request: Get the value of secret 10.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerOptional

Application ID. Required unless application_name is provided.

application_namestringOptional

Application name. Required unless application_id is provided.

secret_idintegerOptional

Secret ID. Required unless secret_name is provided.

secret_namestringOptional

Secret name. Required unless secret_id is provided.

Response

Successful response
resultobjectOptional

The full secret info (with value)